WikiNG - Bug #2142

WikingApplicationHelperPatch: InstanceMethods: wikipedia language can only be 1 character

29 Jan 2013 14:39 - Anonymous

Status: Closed Start date: 29 Jan 2013
Priority: Normal Due date:

Assignee: Andriy Lesyuk % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.0.4

Redmine version: External issue:

Description

Dear Andriy,

in the modul WikingApplicationHelperPatch: InstanceMethods is bug in the regex WIKING_LINK_RE. A + is missing: (?:\[(["\]])\])

shoud be (?:[(["\]]+)\]) — see WikiNG.patch.

Greatings from Germany,
Daniel Gloger

Related issues:
Related to WikiNG - Support #2419: Wikipedia languages

Closed

24 Dec 2017

Associated revisions

Revision 38 - 25 May 2013 18:37 - Andriy Lesyuk
Fixed #2142 and #2152, started working on #2154 and #2158

History

#1 - 09 Apr 2013 10:42 - Andriy Lesyuk

- Status changed from New to Open

- Target version changed from 1.0.0b to 0.0.4
Thanks!

#2 - 20 May 2013 08:59 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 50 to 100

#3 - 25 May 2013 18:38 - Andriy Lesyuk

- Status changed from In Progress to Closed

Applied in changeset r38.

#4 - 24 Dec 2017 22:03 - Andriy Lesyuk
- Related to Support #2419: Wikipedia languages added

Files

WikiNG.patch 704 Bytes

20 Apr 2024

29 Jan 2013

Anonymous
http://projects.andriylesyuk.com/attachments/download/395/WikiNG.patch
http://projects.andriylesyuk.com/projects/wiking/repository/revisions/38
http://www.tcpdf.org

